Patches for aports can be sent to this list

[alpine-aports] [PATCH] testing/cloudfoundry-cli: Cleanup suggested by barthalion

Thomas Boerger
Details
Message ID
<1467733853-11589-1-git-send-email-thomas@webhippie.de>
Sender timestamp
1467733853
DKIM signature
missing
Download raw message
Patch: +3 -13
---
 testing/cloudfoundry-cli/APKBUILD | 16 +++-------------
 1 file changed, 3 insertions(+), 13 deletions(-)

diff --git a/testing/cloudfoundry-cli/APKBUILD b/testing/cloudfoundry-cli/APKBUILD
index b873304..aba93fa 100644
--- a/testing/cloudfoundry-cli/APKBUILD
+++ b/testing/cloudfoundry-cli/APKBUILD
@@ -14,26 +14,16 @@ install=""
 subpackages=""
 source="${pkgname}-${pkgver}.tar.gz::https://github.com/cloudfoundry/cli/archive/v$pkgver.tar.gz"
 
-_builddir="${srcdir}/cli-${pkgver}"
+builddir="${srcdir}/cli-${pkgver}"
 _godir="${srcdir}/go"
 _gourl="github.com/cloudfoundry/cli"
 
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
 build() {
 	mkdir -p ${_godir}/bin ${_godir}/src/github.com/cloudfoundry
-	ln -sf ${_builddir} ${_godir}/src/github.com/cloudfoundry/cli
+	ln -sf ${builddir} ${_godir}/src/github.com/cloudfoundry/cli
 
 	export GOPATH="${_godir}"
-	go install ${_gourl}/main
+	go install ${_gourl}/main || return 1
 }
 
 package() {
-- 
2.8.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---